<?php

return [
    'cms_object' => [
        'invalid_file' => 'Nome de ficheiro inválido: ":name". Os nomes de ficheiros podem conter apenas letras, números, sublinhados, traços e pontos. Veja alguns exemplos de nomes de ficheiros correctos: pagina.htm, pagina, subdiretoria/pagina',
        'invalid_property' => 'A propriedade ":nome" não pode ser definida',
        'file_already_exists' => 'O ficheiro ":name" já existe.',
        'error_saving' => 'Erro ao guardar ficheiro ":name". Verifique as permissões de escrita.',
        'error_creating_directory' => 'Erro ao criar a diretória :name. Verifique as permissões de escrita.',
        'invalid_file_extension'=>'Extensão de ficheiro inválida: :invalid. Extensões válidas: :allowed.',
        'error_deleting' => 'Erro ao apagar o ficheiro de modelo ":name". Verifique as permissões de escrita.',
        'delete_success' => 'Modelos excluídos com sucesso: :count.',
        'file_name_required' => 'O campo de nome do ficheiro é necessário.',
        'safe_mode_enabled' => 'Modo de segurança está activado.',
    ],
    'dashboard' => [
        'active_theme' => [
            'widget_title_default' => 'Sitio',
            'online' => 'Online',
            'maintenance' => 'em manutenção',
            'manage_themes' => 'Gerir temas',
            'customize_theme' => 'Personalizar tema'
        ]
    ],
    'theme' => [
        'not_found_name' => 'O tema ":name" não foi encontrado.',
        'active' => [
            'not_set' => 'O tema activo não foi definido.',
            'not_found' => 'O tema activo não foi encontrado.',
        ],
        'edit' => [
            'not_set' => 'O tema de edição não foi definido.',
            'not_found' => 'O tema de edição não foi encontrado.',
            'not_match' => 'O objeto que está tentando aceder não pertence ao tema que está sendo editado. Por favor, recarregue a página.',
        ],
        'settings_menu' => 'Tema de front-end',
        'settings_menu_description' => 'Veja a lista de temas instalados e selecione o tema acivo.',
        'default_tab' => 'Propriedades',
        'name_label' => 'Nome',
        'name_create_placeholder' => 'Nome do novo tema',
        'author_label' => 'Autor',
        'author_placeholder' => 'Nome do autor',
        'description_label' => 'Descrição',
        'description_placeholder' => 'Descrição do tema',
        'homepage_label' => 'Sitio',
        'homepage_placeholder' => 'URL do sitio',
        'code_label' => 'Código',
        'code_placeholder' => 'Um código exclusivo para distribuição deste tema',
        'preview_image_label' => 'Imagem de prévisualização do tema',
        'preview_image_placeholder' => 'Caminho da imagem de prévisualização do tema.',
        'dir_name_label' => 'Nome da diretória',
        'dir_name_create_label' => 'A diretória-alvo do tema',
        'theme_label' => 'Tema',
        'theme_title' => 'Temas',
        'activate_button' => 'Activar',
        'active_button' => 'Activado',
        'customize_theme' => 'Personalizar Tema',
        'customize_button' => 'Personalizar',
        'duplicate_button' => 'Duplicar',
        'duplicate_title' => 'Duplicar tema',
        'duplicate_theme_success' => 'Tema duplicado com sucesso!',
        'manage_button' => 'Gerir',
        'manage_title' => 'Gerir tema',
        'edit_properties_title' => 'Tema',
        'edit_properties_button' => 'Editar propriedades',
        'save_properties' => 'Guardar propriedades',
        'import_button' => 'Importar',
        'import_title' => 'Importar tema',
        'import_theme_success' => 'Tema importado com sucesso!',
        'import_uploaded_file' => 'Ficheiro de tema',
        'import_overwrite_label' => 'Sobrescrever ficheiros existentes',
        'import_overwrite_comment' => 'Desmarque para importar apenas ficheiros novos',
        'import_folders_label' => 'Pastas',
        'import_folders_comment' => 'Por favor selecione as pastas de temas que deseja importar',
        'export_button' => 'Exportar',
        'export_title' => 'Exportar tema',
        'export_folders_label' => 'Pastas',
        'export_folders_comment' => 'Por favor selecione as pastas de temas que deseja exportar',
        'delete_button' => 'Apagar',
        'delete_confirm' => 'Tem certeza que deseja apagar este tema? Isto não pode ser revertido!',
        'delete_active_theme_failed' => 'Não é possível apagar o tema activo, torne outro tema activo antes.',
        'delete_theme_success' => 'Tema apagado com sucesso!',
        'create_title' => 'Criar tema',
        'create_button' => 'Criar',
        'create_new_blank_theme' => 'Criar novo tema em branco',
        'create_theme_success' => 'Tema criado com sucesso!',
        'create_theme_required_name' => 'Por favor forneça um nome para o tema.',
        'new_directory_name_label' => 'Diretoria do tema',
        'new_directory_name_comment' => 'Forneça um novo nome de diretoria para o tema duplicado.',
        'dir_name_invalid' => 'O nome só pode conter letras, números, e os símbolos: _-',
        'dir_name_taken' => 'Diretoria de tema escolhido já existe.',
        'find_more_themes' => 'Encontrar mais temas.',
        'saving' => 'Guardando tema...',
        'return' => 'Regressar à lista de temas',
    ],
    'maintenance' => [
        'settings_menu' => 'Modo de manutenção',
        'settings_menu_description' => 'Configurar modo de manutenção e a página exibida.',
        'is_enabled' => 'Activar modo de manutenção',
        'is_enabled_comment' => 'Quando activado visitantes do site vão ver a página selecionada.',
        'hint' => 'Modo de manutenção mostra a página de manutenção aos visitantes que não tenham feito acesso na área de backend.'
    ],
    'page' => [
        'not_found_name' => 'A página ":name" não foi encontrada',
        'not_found' => [
            'label' => 'Página não encontrada',
            'help' => 'A página solicitada não pode ser encontrada.',
        ],
        'custom_error' => [
            'label' => 'Erro na página',
            'help' => 'Lamentamos, mas algo deu errado, a página não pode ser exibida.',
        ],
        'menu_label' => 'Páginas',
        'unsaved_label' => 'Página(s) por guardar',
        'no_list_records' => 'Nenhuma página encontrada',
        'new' => 'Nova página',
        'invalid_url' => 'Formato de URL inválido. A URL deve começar com uma barra e pode conter letras, números e os símbolos: _-[]:?|/+*^$',
        'delete_confirm_multiple' => 'Deseja excluir as páginas selecionadas?',
        'delete_confirm_single' => 'Deseja excluir esta página?',
        'no_layout' => '-- sem esboço --',
        'cms_page' => 'Página do CMS',
        'title' => 'Título da página',
        'url' => 'URL da página',
        'file_name' => 'Nome ficheiro da página'
    ],
    'layout' => [
        'not_found_name' => 'O esboço ":name" não foi encontrado',
        'menu_label' => 'Esboços',
        'unsaved_label' => 'Esboço(s) por guardar',
        'no_list_records' => 'Nenhum esboço encontrado',
        'new' => 'Novo esboço',
        'delete_confirm_multiple' => 'Deseja excluir os esboços selecionados?',
        'delete_confirm_single' => 'Deseja excluir este esboço?',
    ],
    'partial' => [
        'not_found_name' => 'O bloco ":name" não foi encontrado.',
        'invalid_name' => 'Nome de bloco inválido: :name.',
        'menu_label' => 'Blocos',
        'unsaved_label' => 'Bloco(s) por guardar',
        'no_list_records' => 'Nenhum bloco encontrado',
        'delete_confirm_multiple' => 'Deseja apagar os blocos selecionados?',
        'delete_confirm_single' => 'Deseja apagar este bloco?',
        'new' => 'Novo bloco',
    ],
    'content' => [
        'not_found_name' => 'O ficheiro de conteúdo ":name" não foi encontrado.',
        'menu_label' => 'Conteúdo',
        'unsaved_label' => 'Conteúdo por guardar',
        'no_list_records' => 'Nenhum ficheiro de conteúdo encontrado',
        'delete_confirm_multiple' => 'Deseja apagar ficheiros ou diretórios de conteúdo selecionados?',
        'delete_confirm_single' => 'Deseja apagar este ficheiro de conteúdo?',
        'new' => 'Novo ficheiro de conteúdo',
    ],
    'ajax_handler' => [
        'invalid_name' => 'O nome do manipulador AJAX é inválido: :name.',
        'not_found' => 'Manipulador AJAX ":name" não encontrado.',
    ],
    'cms' => [
        'menu_label' => 'CMS',
    ],
    'sidebar' => [
        'add' => 'Adicionar',
        'search' => 'Pesquisar...',
    ],
    'editor' => [
        'settings' => 'Configurações',
        'title' => 'Título',
        'new_title' => 'Título da nova página',
        'url' => 'URL',
        'filename' => 'Nome do ficheiro',
        'layout' => 'Esboço',
        'description' => 'Descrição',
        'preview' => 'Visualizar',
        'meta' => 'Meta',
        'meta_title' => 'Título Meta',
        'meta_description' => 'Descrição Meta',
        'markup' => 'Edição',
        'code' => 'Código',
        'content' => 'Conteúdo',
        'hidden' => 'Oculta',
        'hidden_comment' => 'Páginas ocultas são acessíveis apenas para administradores.',
        'enter_fullscreen' => 'Entrar no modo de tela cheia',
        'exit_fullscreen' => 'Sair do modo de tela cheia',
        'open_searchbox' => 'Abrir caixa de pesquisa',
        'close_searchbox'  => 'Fechar caixa de pesquisa',
        'open_replacebox' => 'Abrir caixa de substituição',
        'close_replacebox'  => 'Fechar caixa de substituição'
    ],
    'asset' => [
        'menu_label' => 'Ficheiros',
        'unsaved_label' => 'Ficheiro(s) por guardar',
        'drop_down_add_title' => 'Adicionar...',
        'drop_down_operation_title' => 'Acção...',
        'upload_files' => 'Enviar ficheiro(s)',
        'create_file' => 'Criar ficheiro',
        'create_directory' => 'Criar diretoria',
        'directory_popup_title' => 'Novo diretoria',
        'directory_name' => 'Nome do diretoria',
        'rename' => 'Renomear',
        'delete' => 'Apagar',
        'move' => 'Mover',
        'select' => 'Selecionar',
        'new' => 'Novo ficheiro',
        'invalid_path' => 'O caminho pode conter apenas letras, números, espaços e os símbolos: ._-/',
        'error_deleting_file' => 'Erro ao apagar ficheiro :name.',
        'error_deleting_dir_not_empty' => 'Erro ao apagar diretoria :name. A diretoria não está vazia.',
        'error_deleting_dir' => 'Erro ao apagar diretoria :name.',
        'invalid_name' => 'O nome pode conter apenas letras, números, espaços e os símbolos: ._-',
        'original_not_found' => 'ficheiro ou diretoria original não encontrado',
        'already_exists' => 'Um ficheiro ou diretoria com este nome já existe',
        'error_renaming' => 'Erro ao renomear o ficheiro ou diretoria',
        'name_cant_be_empty' => 'O nome não pode estar vazio',
        'too_large' => 'O ficheiro enviado é muito grande. O tamanho máximo permitido é :max_size',
        'type_not_allowed' => 'Apenas os seguintes tipos de ficheiros são permitidos: :allowed_types',
        'file_not_valid' => 'O ficheiro não é válido',
        'error_uploading_file' => 'Erro carregando ficheiro ":name": :error',
        'move_destination' => 'Diretoria de destino',
        'move_popup_title' => 'Mover ficheiros',
        'selected_files_not_found' => 'ficheiros selecionados não encontrados',
        'select_destination_dir' => 'Por favor, selecione uma diretoria de destino',
        'destination_not_found' => 'Diretoria de destino não encontrada',
        'error_moving_file' => 'Erro ao mover ficheiro :file',
        'error_moving_directory' => 'Erro ao mover diretoria :dir',
        'error_deleting_directory' => 'Erro ao apagar o diretoria original :dir',
        'no_list_records' => 'Não foram encontrados ficheiros',
        'delete_confirm' => 'Apagar ficheiros ou directorias selecionadas?',
        'path' => 'Caminho',
    ],
    'component' => [
        'menu_label' => 'Componentes',
        'unnamed' => 'Sem nome',
        'no_description' => 'Nenhuma descrição fornecida',
        'alias' => 'Apelido',
        'alias_description' => 'Um nome exclusivo dado a este componente quando utilizado no código de uma página ou esboço.',
        'validation_message' => 'Apelidos de componentes são necessários e podem conter letras, números e sublinhados. Os apelidos devem começar com uma letra.',
        'invalid_request' => 'O modelo não pode ser guardado devido a dados inválidos nos componentes.',
        'no_records' => 'Nenhum componente encontrado',
        'not_found' => 'O componente ":name" não foi encontrado.',
        'method_not_found' => 'O componente ":name" não tem um método ":method".',
    ],
    'template' => [
        'invalid_type' => 'Tipo de modelo desconhecido.',
        'not_found' => 'O modelo solicitado não foi encontrado.',
        'saved'=> 'O modelo foi salvo com sucesso.',
        'no_list_records' => 'Não foram encontrados registos',
        'delete_confirm' => 'Apagar modelos selecionados?',
        'order_by' => 'Ordenar por'
    ],
    'permissions' => [
        'name' => 'Cms',
        'manage_content' => 'Gerir conteúdo',
        'manage_assets' => 'Gerir ficheiros',
        'manage_pages' => 'Gerir páginas',
        'manage_layouts' => 'Gerir esboços',
        'manage_partials' => 'Gerir blocos',
        'manage_themes' => 'Gerir temas',
    ],
    'theme_log' => [
        'hint' => 'Este registo mostra as alterações efectuadas ao tema por administradores na área de backend.',
        'menu_label' => 'Registo de tema',
        'menu_description' => 'Ver alterações ao tema activo.',
        'empty_link' => 'Registo de tema vazio',
        'empty_loading' => 'Esvaziar registos de tema...',
        'empty_success' => 'Registo de temas vazio',
        'return_link' => 'Regressar ao registo de temas',
        'id' => 'ID',
        'id_label' => 'Registo ID',
        'created_at' => 'Data & Hora',
        'user' => 'Utilizador',
        'type' => 'Tipo',
        'type_create' => 'Criar',
        'type_update' => 'Alterar',
        'type_delete' => 'Apagar',
        'theme_name' => 'Tema',
        'theme_code' => 'Código de tema',
        'old_template' => 'Modelo (antigo)',
        'new_template' => 'Modelo (novo)',
        'template' => 'Modelo',
        'diff' => 'Alterações',
        'old_value' => 'Valor antigo',
        'new_value' => 'Novo valor',
        'preview_title' => 'Modelo alterado',
        'template_updated' => 'O modelo foi actualizado',
        'template_created' => 'O modelo foi criado',
        'template_deleted' => 'O modelo foi apagado',
    ],
];
